diff --git a/scripts/advanced.php b/scripts/advanced.php
index e4a88e2..5e1799c 100644
--- a/scripts/advanced.php
+++ b/scripts/advanced.php
@@ -560,7 +560,7 @@ foreach($formats as $format){
Logging
- Note:
+ Note:
It is recommended that the Log Level be set to Error on production systems to keep output
manageable by only reporting errors.
@@ -627,8 +627,8 @@ foreach($formats as $format){
'error' - Show all errors, including ones which can be recovered from. This is the default value.
'warning' - Show all warnings and errors. Any message related to possibly incorrect or unexpected events will be shown.
- 'info' - Show informative messages and output during processing. This is in addition to warnings and errors.
- 'debug' - Show everything, including debugging information.
+ 'info' - Show informative messages and output during processing. This is in addition to warnings and errors. This will produce more output, use this for initial debugging.
+ 'debug' - Show everything, including debugging information. Produces a lot of output.
|
diff --git a/scripts/update_birdnet_snippets.sh b/scripts/update_birdnet_snippets.sh
index 1d03b0b..00dea4f 100755
--- a/scripts/update_birdnet_snippets.sh
+++ b/scripts/update_birdnet_snippets.sh
@@ -191,6 +191,18 @@ if ! grep RTSP_STREAM_TO_LIVESTREAM /etc/birdnet/birdnet.conf &>/dev/null;then
sudo -u$USER echo "RTSP_STREAM_TO_LIVESTREAM=\"0\"" >> /etc/birdnet/birdnet.conf
fi
+# For new Advanced Setting Logging level options,
+if ! grep LogLevel_BirdnetRecordingService /etc/birdnet/birdnet.conf &>/dev/null;then
+ sudo -u$USER echo "LogLevel_BirdnetRecordingService=\"error\"" >> /etc/birdnet/birdnet.conf
+fi
+
+if ! grep LogLevel_LiveAudioStreamService /etc/birdnet/birdnet.conf &>/dev/null;then
+ sudo -u$USER echo "LogLevel_LiveAudioStreamService=\"error\"" >> /etc/birdnet/birdnet.conf
+fi
+
+if ! grep LogLevel_SpectrogramViewerService /etc/birdnet/birdnet.conf &>/dev/null;then
+ sudo -u$USER echo "LogLevel_SpectrogramViewerService=\"error\"" >> /etc/birdnet/birdnet.conf
+fi
sudo systemctl daemon-reload
restart_services.sh